#
# spec file for package libopenshot-audio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 0
Name:           SVT-AV1
Version:        0.0~pre.1549319082.2a52193
Release:        0
Summary:        SVT-AV1 Encoder
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Other
Url:            https://github.com/OpenVisualCloud/SVT-AV1
Source0:        %{name}-%{version}.tar.xz
Source1:        svt-av1_encoder_user_guide.pdf
Patch1: fix-build.patch
BuildRequires:  cmake
BuildRequires:  pkg-config
BuildRequires:  yasm
ExclusiveArch:  x86_64

%description

%package -n     libSvtAv1Enc%{sover}
Summary:        Library for the AV1 encoder
Group:          System/Libraries

%description -n libSvtAv1Enc%{sover}

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       libSvtAv1Enc%{sover} = %{version}

%description    devel

%prep
%setup -q
%patch1 -p1
%if 0%{suse_version} < 1500
sed -i -e 's, -fstack-protector-strong , ,' CMakeLists.txt
%endif

%build
cmake . \
  -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir}  \
  -DLIB_SUFFIX=64 \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}

%install
DESTDIR=%{buildroot} make install
mkdir -p %buildroot%_docdir/%name
install -m 0644 %{S:1} %buildroot%_docdir/%name

%post   -n libSvtAv1Enc%{sover} -p /sbin/ldconfig
%postun -n libSvtAv1Enc%{sover} -p /sbin/ldconfig

%files -n libSvtAv1Enc%{sover}
%license LICENSE.md
%{_libdir}/libSvtAv1Enc.so.%{sover}*

%files
%doc README.md NOTICES.md
%doc %_docdir/%name/svt-av1_encoder_user_guide.pdf
%_bindir/*

%files devel
%{_libdir}/libSvtAv1Enc.so
%_libdir/pkgconfig
%_includedir/*

%changelog
